Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 115002 - =app-misc/bsc-4.10: new package of filemanager bscommander
Summary: =app-misc/bsc-4.10: new package of filemanager bscommander
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: x86 Linux
: Low enhancement (vote)
Assignee: Default Assignee for New Packages
URL: http://beesoft.org
Whiteboard: sunrise-removal
Keywords: EBUILD, InOverlay
Depends on:
Blocks:
 
Reported: 2005-12-09 10:23 UTC by Michael "mit_mis" Andrzejczak
Modified: 2016-06-08 16:48 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
bsc-2.01.3.ebuild (bsc-2.01.3.ebuild,440 bytes, text/plain)
2005-12-09 10:26 UTC, Michael "mit_mis" Andrzejczak
Details
bsc-2.02.ebuild (bsc-2.02.ebuild,429 bytes, text/plain)
2005-12-12 22:58 UTC, Michael "mit_mis" Andrzejczak
Details
bsc-2.03.ebuild (bsc-2.03.ebuild,429 bytes, text/plain)
2005-12-23 05:52 UTC, Michael "mit_mis" Andrzejczak
Details
bsc-2.06.ebuild (bsc-2.06.ebuild,429 bytes, text/plain)
2006-01-13 02:36 UTC, Michael "mit_mis" Andrzejczak
Details
bsc-2.08.ebuild (bsc-2.08.ebuild,785 bytes, application/octet-stream)
2006-01-19 09:57 UTC, Maciej Milewski
Details
desktop file patch (bsc-desktop_file.patch,477 bytes, text/x-patch)
2006-01-19 09:57 UTC, Maciej Milewski
Details
About box patch file (bsc-about.patch,472 bytes, text/x-patch)
2006-01-19 09:58 UTC, Maciej Milewski
Details
bsc-desktop_file.patch (bsc-desktop_file.patch,493 bytes, patch)
2006-01-19 14:18 UTC, Maciej Milewski
Details | Diff
bsc-about.patch (bsc-about.patch,457 bytes, patch)
2006-01-19 14:19 UTC, Maciej Milewski
Details | Diff
bsc-2.08.ebuild (bsc-2.08.ebuild,787 bytes, text/plain)
2006-01-19 14:21 UTC, Maciej Milewski
Details
bsc-2.12.ebuild (bsc-2.12.ebuild,787 bytes, application/octet-stream)
2006-02-07 03:49 UTC, Maciej Milewski
Details
bsc-about.patch (bsc-about.patch,529 bytes, text/plain)
2006-02-07 03:50 UTC, Maciej Milewski
Details
bsc-2.18.1.ebuild (bsc-2.18.1.ebuild,829 bytes, text/plain)
2006-04-16 04:41 UTC, Maciej Milewski
Details
bsc-2.26 ebuild (bsc-2.26.ebuild,918 bytes, text/plain)
2006-06-18 08:37 UTC, Jakub Moc (RETIRED)
Details
Current Sunrise ebuild for bsc (bsc-4.1.0.ebuild,896 bytes, text/plain)
2010-07-07 21:34 UTC, Michał Górny
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael "mit_mis" Andrzejczak 2005-12-09 10:23:38 UTC
Beesoft Commander is a file manager (like Norton Commander) for Linux. It is 
based on Qt-GUI. I've tested it on x86 and it works fine for me. Can't say 
anything about other platforms.
Comment 1 Michael "mit_mis" Andrzejczak 2005-12-09 10:26:11 UTC
Created attachment 74388 [details]
bsc-2.01.3.ebuild
Comment 2 Michael "mit_mis" Andrzejczak 2005-12-12 22:58:44 UTC
Created attachment 74613 [details]
bsc-2.02.ebuild
Comment 3 Michael "mit_mis" Andrzejczak 2005-12-12 22:59:31 UTC
Comment on attachment 74613 [details]
bsc-2.02.ebuild

added new version of bsc
Comment 4 Michael "mit_mis" Andrzejczak 2005-12-23 05:52:37 UTC
Created attachment 75385 [details]
bsc-2.03.ebuild
Comment 5 Michael "mit_mis" Andrzejczak 2006-01-13 02:36:36 UTC
Created attachment 76977 [details]
bsc-2.06.ebuild

new version:)
Comment 6 Maciej Milewski 2006-01-19 09:57:01 UTC
Created attachment 77561 [details]
bsc-2.08.ebuild

New Ebuild for new version. Additionaly I've created a desktop file so applcation installs into KDE menu without problems.
Comment 7 Maciej Milewski 2006-01-19 09:57:40 UTC
Created attachment 77562 [details]
desktop file patch

Desktop fle patch for ebuild
Comment 8 Maciej Milewski 2006-01-19 09:58:12 UTC
Created attachment 77563 [details]
About box patch file

About box patch file.
Comment 9 Maciej Milewski 2006-01-19 09:58:52 UTC
Comment on attachment 77561 [details]
bsc-2.08.ebuild

New ebuild for new version
Comment 10 Maciej Milewski 2006-01-19 14:18:23 UTC
Created attachment 77581 [details, diff]
bsc-desktop_file.patch

Corrections in .desktop file(thanks to Przemyslaw Maciag)
Comment 11 Maciej Milewski 2006-01-19 14:19:48 UTC
Created attachment 77582 [details, diff]
bsc-about.patch

Little correction.
Comment 12 Maciej Milewski 2006-01-19 14:21:36 UTC
Created attachment 77583 [details]
bsc-2.08.ebuild

Missing quotation marks
Comment 13 Maciej Milewski 2006-02-07 03:49:13 UTC
Created attachment 79102 [details]
bsc-2.12.ebuild

Version bump.
Comment 14 Maciej Milewski 2006-02-07 03:50:41 UTC
Created attachment 79103 [details]
bsc-about.patch

As version of bsc changed there was a little change in about box.
Comment 15 Maciej Milewski 2006-04-16 04:41:55 UTC
Created attachment 84770 [details]
bsc-2.18.1.ebuild

Updated to work with new feature: language files in new location
Comment 16 Attila Jecs 2006-06-09 15:08:49 UTC
There is a new version 2.22 available.
Comment 17 Attila Jecs 2006-06-09 15:35:42 UTC
(In reply to comment #16)
> There is a new version 2.22 available.
> 

It seems to me that it is enough to rename the latest ebuild to bsc-2.22.ebuild and it works :)
Comment 18 Jakub Moc (RETIRED) gentoo-dev 2006-06-18 08:37:11 UTC
Created attachment 89471 [details]
bsc-2.26 ebuild

bsc-2.23 ebuild. Not using the patches, as they are not really needed.
Comment 19 Jakub Moc (RETIRED) gentoo-dev 2006-06-18 08:38:40 UTC
http://gentoo-sunrise.org/svn/sunrise/app-misc/bsc/
Comment 20 Jakub Moc (RETIRED) gentoo-dev 2006-12-12 05:37:08 UTC
http://gentoo-sunrise.org/svn/reviewed/app-misc/bsc/
Comment 21 Grzegorz {NineX} Krzystek 2007-07-04 20:03:37 UTC
(In reply to comment #20)
> http://gentoo-sunrise.org/svn/reviewed/app-misc/bsc/
> 

please add ~amd64 keyword - bsc was compuiled fine on my ~amd64 machine and sems to work corectly...
Comment 22 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2010-07-07 21:34:46 UTC
Created attachment 237955 [details]
Current Sunrise ebuild for bsc
Comment 23 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2010-07-07 21:40:00 UTC
I've recently bumped the bsc ebuild to 4.1.0 and now I see that a similar ebuild coexists in qting-edge overlay. Furthermore, I personally think that my ebuild is cleaner and less hackish, while the qting-edge one seems like a trivial bump of the old ebuild once being in Sunrise.

I personally think that there's no real reason to keep two different ebuild for the same package in two quite widespread overlays. Yngwin, could you state your opinion on the topic?
Comment 24 Ben de Groot (RETIRED) gentoo-dev 2010-07-11 05:43:16 UTC
As I am no longer directly involved with Gentoo, my opinion doesn't matter. Please contact the Gentoo Qt team <qt@gentoo.org>, which I'm CC'ing on this bug, about this issue. They are maintaining the qting-edge overlay.

My personal opinion is that qtfm is much more promising.
Comment 25 Davide Pesavento gentoo-dev 2012-03-13 00:25:42 UTC
The Qt team is no longer interested in this package (whose last release was in 2008 btw), thus I'm removing qt@g.o from CC and deleting app-misc/bsc from qt overlay.
Comment 26 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2016-06-08 16:48:46 UTC
Hello, everyone.

It seems that at least one ebuild related to this bug exists in the Sunrise overlay at the moment. However, I have to regretfully announce that after a long inactivity period the Sunrise project has been discontinued and the related overlay will be eventually removed. For this reason, I'd like to ask you to reevaluate the ebuilds and consider moving them. If you'd like to maintain a package from Sunrise in Gentoo, please take a look at our Proxy Maintainers [1] project.

Please make sure to take ebuilds from the unreviewed developer Sunrise repository [2] rather than the -reviewed one, since the latter has not been updated for over a year. While at it, please note that:

1. Adding a package to Gentoo requires declaring yourself as an active maintainer for it. All bugs regarding the package will be assigned to you, and you will be expected to maintain it.

2. Some packages may not be suitable for addition anymore. While there's no strong rules that would prevent you from adding a package, it may be a bad idea to add old-unmaintained packages that will shortly result in a large number of bugs reported with no solution. If that is the case, please close the bug as RESOLVED/OBSOLETE to make it easier to find packages worth adding.

3. Some of the bugs were already closed as WONTFIX/OBSOLETE/... while the relevant ebuild was kept in Sunrise. If you disagree with the original decision, you still can add the ebuild via proxy-maint.

4. Pleaes note that many of the Sunrise ebuilds are old and may be buggy. If you decide to move them, please make sure to update/clean them up. The proxy-maint team will also review your ebuilds, therefore making sure they land in Gentoo in good quality.

Once again, thank you for your contribution. We hope that you will still want to contribute to Gentoo, through proxy-maint or otherwise.


[1]:https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers
[2]:https://gitweb.gentoo.org/proj/sunrise.git/